# Authentication

All calls to our API require an authentication header:

| Key           | Value                  |
| ------------- | ---------------------- |
| Authorization | Bearer \<YOUR API KEY> |

{% hint style="warning" %}
In the above value, replace \<YOUR API KEY> with the your unique API key.
{% endhint %}

***

**Retrieve Your API Key:**

1. [Log in](https://app.whiteswan.io/partner_log_in) to your White Swan Partner account.
2. Navigate to the [partner integrations page](https://app.whiteswan.io/partner_integrations) within your White Swan dashboard. This is accessible via the header menu.&#x20;
3. Select **View API Key** from the API widget and copy the returned API key.

***

**Reset Your API Key:**

If you're having issues with your key or need a new one for security reasons, you can reset your API key in the same popup that you can find the API key as described above.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
